#
# spec file for package gconf-editor (Version 2.12.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl alsa alsa-devel atk atk-devel attr audiofile audiofile-devel audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib cups-libs cvs cyrus-sasl db dbus-1 dbus-1-devel dbus-1-glib desktop-translations diffutils e2fsprogs esound esound-devel expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gconf2 gconf2-devel gdbm gdbm-devel gettext gettext-devel glib2 glib2-devel glibc glibc-devel glibc-locale glitz glitz-devel gnome-common gnome-filesystem gnome-icon-theme gnome-keyring gnome-keyring-devel gnome-vfs2 gnome-vfs2-devel gnutls gnutls-devel gpm grep groff gtk2 gtk2-devel gzip hal hal-devel info insserv intltool klogd less libacl libart_lgpl libart_lgpl-devel libattr libbonobo libbonobo-devel libbonoboui libbonoboui-devel libcom_err libdrm libgcc libgcrypt libgcrypt-devel libglade2 libglade2-devel libgnome libgnome-devel libgnomecanvas libgnomecanvas-devel libgnomeprint libgnomeprint-devel libgnomeprintui libgnomeprintui-devel libgnomesu libgnomeui libgnomeui-devel libgpg-error libgpg-error-devel libjpeg libjpeg-devel libnscd libpng libpng-devel libstdc++ libtiff libtool libusb libwnck libwnck-devel libxcrypt libxml2 libxml2-devel libzio m4 mDNSResponder-devel mDNSResponder-lib make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl openssl-devel orbit2 orbit2-devel pam pam-modules pango pango-devel patch perl perl-XML-Parser permissions pkgconfig popt popt-devel procinfo procps psmisc pwdutils rcs readline resmgr rpm sed shared-mime-info strace sysvinit tar tcpd texinfo timezone unzip update-desktop-files util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gconf-editor
BuildRequires:  gnome-common gnutls-devel intltool libglade2-devel libgnomeprintui-devel libgnomeui-devel libwnck-devel mDNSResponder-devel perl-XML-Parser update-desktop-files
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
License:        GPL
Group:          System/GUI/GNOME
Autoreqprov:    on
Version:        2.12.1
Release:        20.2
Summary:        An Editor for the GCONF Database System
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gconf-editor/2.12/%{name}-%{version}.tar.bz2
Patch:          gconf-editor-strict-aliasing.patch
Patch1:         %name-desktop.patch
URL:            http://www.gnome.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Gconf-editor allows you to view and edit the values that are stored in
the gconf database.  This database is used for application settings in
the GNOME 2.x Desktop Environment.



%debug_package
%prep
%setup -q -n gconf-editor-%{version} 
%patch
%patch1

%build
rename no nb po/no.*
sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure.in > configure.in.tmp && \
        mv configure.in.tmp configure.in
#rename no nb po/no.*
#sed "s/\(ALL_LINGUAS.*\) no /\1 nb /" configure > configure.tmp && \
        mv configure.tmp configure && chmod u+x configure
autoreconf -f -i
CFLAGS="$RPM_OPT_FLAGS" \
  ./configure \
    --prefix=%prefix \
    --mandir=%prefix/share/man \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde3/share \
    --enable-platform-gnome2
make 

%install
make -i install DESTDIR=$RPM_BUILD_ROOT
gzip -9nf $RPM_BUILD_ROOT%{prefix}/share/man/man?/*.?
%suse_update_desktop_file gconf-editor
%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
%{prefix}/bin/*
%{prefix}/share/applications/gconf-editor.desktop
%doc %{prefix}/share/man/man?/*.*
#%{prefix}/share/pixmaps/*.png
%dir %{prefix}/share/pixmaps/gconf-editor
%{prefix}/share/pixmaps/gconf-editor/*.png
%{prefix}/share/icons/*
%{prefix}/share/icons/hicolor/48x48/apps/gconf-editor.png
%{sysconfdir}/gconf/schemas/gconf-editor.schemas

%changelog -n gconf-editor
* Tue Apr 11 2006 - sbrabec@suse.cz
- Translate desktop file.
* Sun Feb 19 2006 - stbinner@suse.de
- fix gconf-editor-desktop.patch (GenericName)
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Wed Nov 30 2005 - gekker@suse.de
- Update to version 2.12.1
* Wed Sep 07 2005 - sbrabec@suse.cz
- Updated to version 2.12.0 (GNOME 2.12).
* Tue Aug 23 2005 - gekker@suse.de
- Update to version 2.11.92
* Wed Mar 16 2005 - clahey@suse.de
- Degeneralize menu item.
* Wed Mar 09 2005 - gekker@suse.de
- Update to version 2.10.0 (GNOME 2.10).
* Thu Mar 03 2005 - gekker@suse.de
- Update to version 2.9.92
* Thu Feb 10 2005 - gekker@suse.de
- Update to version 2.9.91
* Sat Feb 05 2005 - gekker@suse.de
- Update to version 2.9.3
* Wed Jan 19 2005 - gekker@suse.de
- Update to version 2.9.2
* Tue Dec 14 2004 - hvogel@suse.de
- fix desktop file
* Mon Nov 01 2004 - mmj@suse.de
- Locale rename no to nb
* Wed May 05 2004 - sbrabec@suse.cz
- Updated to version 2.6.1 (GNOME 2.6).
* Sat Jan 10 2004 - adrian@suse.de
- fix build as user
* Wed Oct 08 2003 - sbrabec@suse.cz
- Updated to version 2.4.0 (GNOME 2.4).
* Mon Jul 14 2003 - sbrabec@suse.cz
- GNOME prefix change to /opt/gnome.
* Wed Jul 02 2003 - hhetter@suse.de
- updated to version 0.5.0
* Mon Jun 30 2003 - sbrabec@suse.cz
- Updated to version 0.4.1.
- Updated neededforbuild.
* Mon Jun 30 2003 - ro@suse.de
- added directory to filelist
- use find_lang
* Wed May 28 2003 - ro@suse.de
- add other pixmaps to filelist
* Tue Jan 28 2003 - hhetter@suse.de
- updated to 0.4.0
- kde data dir fix
* Thu Nov 28 2002 - hhetter@suse.de
- updated to version 0.3.1 [GNOME 2.0.3]
* Mon Nov 11 2002 - ro@suse.de
- changed neededforbuild <xf86 xdevel> to <x-devel-packages>
* Tue Oct 22 2002 - hhetter@suse.de
- updated to version 0.3
- removed wrong docdir
* Fri Sep 27 2002 - ro@suse.de
- Added alsa alsa-devel to neededforbuild (esound)
* Fri Jun 07 2002 - hhetter@suse.de
- initial SuSE package
